# openssl

pem openssl module

Source:
  - openssl.js, line 11

### Methods

#### (static) exec(params, searchStr, tmpfilesopt, callback)

Source:
  - openssl.js, line 47

Spawn an openssl command

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`params` | Array |  | Array of openssl command line parameters
`searchStr` | String |  | String to use to find data
`tmpfiles` | Array | <optional> | list of temporary files
`callback` | function |  | Called with (error, stdout-substring)

#### (static) execBinary(params, tmpfilesopt, callback)

Source:
  - openssl.js, line 93

Spawn an openssl command and get binary output

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`params` | Array |  | Array of openssl command line parameters
`tmpfiles` | Array | <optional> | list of temporary files
`callback` | function |  | Called with (error, stdout)

#### (static) get(option)

Source:
  - openssl.js, line 34

get configuration setting value

##### Parameters:

Name | Type | Description
--- | --- | ---
`option` | String | name

#### (static) set(option, value)

Source:
  - openssl.js, line 24

configue this openssl module

##### Parameters:

Name | Type | Description
--- | --- | ---
`option` | String | name e.g. pathOpenSSL, openSslVersion; TODO rethink nomenclature
`value` | * | value

#### (static) spawn(params, binary, callback)

Source:
  - openssl.js, line 114

Generically spawn openSSL, without processing the result

##### Parameters:

Name | Type | Description
--- | --- | ---
`params` | Array | The parameters to pass to openssl
`binary` | Boolean | Output of openssl is binary or text
`callback` | function | Called with (error, exitCode, stdout, stderr)

#### (static) spawnWrapper(params, tmpfilesopt, binaryopt, callback)

Source:
  - openssl.js, line 189

Wrapper for spawn method

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`params` | Array |  | The parameters to pass to openssl
`tmpfiles` | Array | <optional> | list of temporary files
`binary` | Boolean | <optional> | Output of openssl is binary or text
`callback` | function |  | Called with (error, exitCode, stdout, stderr)